# $Revision: 1.39 $, $Date: 2010/08/10 06:29:59 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Assuan - an IPC library for non-persistent servers
Summary(pl.UTF-8):	Assuan - biblioteka IPC dla serwerów nie działających ciągle
Name:		libassuan
Version:	2.0.1
Release:	1
Epoch:		1
License:	LGPL v2.1+
Group:		Libraries
Source0:	ftp://ftp.gnupg.org/gcrypt/libassuan/%{name}-%{version}.tar.bz2
# Source0-md5:	53a7d4c22af909d7236d17d454ef935b
Patch0:		%{name}-info.patch
Patch1:		%{name}-ac.patch
URL:		http://www.gnupg.org/related_software/libassuan/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
BuildRequires:	libgpg-error-devel >= 1.8
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	texinfo
Requires:	libgpg-error >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the IPC library used by GnuPG 2, GPGME and a few other
packages. It used to be included with the latter packages but the
authors decided to make your life not too easy and separated it out to
a stand alone library.

%description -l pl.UTF-8
To jest biblioteka komunikacji międzyprocesowej (IPC) używana przez
GnuPG 2, GPGME oraz parę innych pakietów. Była dołączana do tych
pakietów, ale autorzy zdecydowali, żeby już nie ułatwiać tak życia i
wydzielili ją.

%package devel
Summary:	Header files for assuan library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki assuan
Group:		Development/Libraries
Conflicts:	libassuan1-devel
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libgpg-error-devel >= 1.8

%description devel
Header files for assuan library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki assuan.

%package static
Summary:	Static assuan library
Summary(pl.UTF-8):	Statyczna biblioteka assuan
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static assuan library.

%description static -l pl.UTF-8
Statyczna biblioteka assuan.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libassuan.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libassuan.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libassuan-config
%attr(755,root,root) %{_libdir}/libassuan.so
%{_libdir}/libassuan.la
%{_includedir}/assuan.h
%{_aclocaldir}/libassuan.m4
%{_infodir}/assuan.info*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libassuan.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libassuan.spec,v $
Revision 1.39  2010/08/10 06:29:59  qboosh
- updated libgpg-error version

Revision 1.38  2010/08/09 18:16:14  qboosh
- updated to 2.0.1
- updated ac patch

Revision 1.37  2010/03/30 14:39:17  shadzik
- C: libassuan1-devel

Revision 1.36  2010/01/29 21:03:50  qboosh
- updated to 2.0.0
- removed obsolete shared patch

Revision 1.35  2008/05/27 15:53:48  qboosh
- updated to 1.0.5
- added ac patch

Revision 1.34  2008-02-26 08:08:53  glen
- release 2

Revision 1.33  2008-01-24 01:36:33  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.32  2007-12-14 20:41:55  qboosh
- updated to 1.0.4

Revision 1.31  2007-08-27 21:58:15  qboosh
- updated to 1.0.3
- License temporarily back to LGPL v2.1+

Revision 1.30  2007/07/06 23:06:55  qboosh
- updated to 1.0.2 (LGPL v3)

Revision 1.29  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.28  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.27  2006/11/24 12:18:53  glen
- check-files cleanup

Revision 1.26  2006/11/23 18:37:39  qboosh
- updated to 1.0.1, updated shared patch

Revision 1.25  2006/11/02 09:08:33  qboosh
- updated to 1.0.0 (no longer alpha)

Revision 1.24  2006/10/11 10:34:10  qboosh
- updated to 0.9.3, updated shared patch

Revision 1.23  2006/10/04 18:19:24  qboosh
- updated to 0.9.2

Revision 1.22  2006/10/04 09:37:28  qboosh
- updated to 0.9.1

Revision 1.21  2006/09/15 10:39:29  qboosh
- updated to 0.9.0, updated shared patch

Revision 1.20  2005/08/28 13:58:03  qboosh
- more specific URL

Revision 1.19  2005/06/23 19:54:59  qboosh
- updated to 0.6.10

Revision 1.18  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.17  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.16  2005/06/14 20:02:53  witekfl
- added bcond_without static

Revision 1.15  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.14  2004/12/24 14:18:05  qboosh
- updated to 0.6.9

Revision 1.13  2004/11/26 18:28:31  qboosh
- updated to 0.6.8

Revision 1.12  2004/10/17 19:33:10  qboosh
- updated to 0.6.7

Revision 1.11  2004/06/20 13:00:11  grzegol
- updated to 0.6.6

Revision 1.10  2004/05/06 15:50:03  qboosh
- updated to 0.6.5, removed obsolete am18 patch

Revision 1.9  2004/02/22 02:19:39  qboosh
- updated to 0.6.4, removed obsolete acfix patch

Revision 1.8  2004/02/01 08:53:41  qboosh
- updated to 0.6.3

Revision 1.7  2003/12/28 01:05:41  qboosh
- fixed shared patch, removed workaround; release 2

Revision 1.6  2003/12/27 22:51:04  undefine
- add -fPIC to CFLAGS to allow build on adm64

Revision 1.5  2003/12/18 19:32:10  qboosh
- updated to 0.6.2
- added am18 patch (libassuan.m4 quotation fix)

Revision 1.4  2003/11/17 18:07:57  qboosh
- updated to 0.6.1, added acfix patch

Revision 1.3  2003/08/21 08:41:47  qboosh
- epoch 1, release 2 (due to older libassuan-devel in pinentry.spec)

Revision 1.2  2003/08/11 11:03:36  qboosh
- typo in URL (probably there is no more libassuan-specific page, so use this)

Revision 1.1  2003/08/10 11:49:35  qboosh
- new - built as shared library
